Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.taglib
Class InfoTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.logging.log4j.taglib.InfoTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class InfoTag

extends javax.servlet.jsp.tagext.BodyTagSupport

This class implements the `<log:info>` tag.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InfoTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected Throwable` | `getException()`
`protected org.apache.logging.log4j.Level` | `getLevel()`
`protected org.apache.logging.log4j.taglib.Log4jTaglibLogger` | `getLogger()`
`protected org.apache.logging.log4j.Marker` | `getMarker()`
`protected Object` | `getMessage()`
`protected void` | `init()`
`void` | `release()`
`void` | `setDynamicAttribute(String uri, String name, Object value)`
`void` | `setException(Throwable exception)`
`void` | `setLogger(Object logger)`
`void` | `setMarker(org.apache.logging.log4j.Marker marker)`
`void` | `setMessage(Object message)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pageContext)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setParent`

Constructor Detail

### InfoTag

    public InfoTag()

Method Detail

### getLevel

    protected org.apache.logging.log4j.Level getLevel()

### init

    protected void init()

### getMessage

    protected final Object getMessage()
                               throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setMessage

    public final void setMessage(Object message)

### getMarker

    protected final org.apache.logging.log4j.Marker getMarker()

### setMarker

    public final void setMarker(org.apache.logging.log4j.Marker marker)

### setDynamicAttribute

    public final void setDynamicAttribute(String uri,
                                          String name,
                                          Object value)

  Specified by:
    `setDynamicAttribute` in interface `javax.servlet.jsp.tagext.DynamicAttributes`

### doStartTag

    public final int doStartTag()

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### doEndTag

    public final int doEndTag()
                       throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### getException

    protected final Throwable getException()

### setException

    public final void setException(Throwable exception)

### release

    public final void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### setPageContext

    public final void setPageContext(javax.servlet.jsp.PageContext pageContext)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setPageContext` in class `javax.servlet.jsp.tagext.TagSupport`

### getLogger

    protected final org.apache.logging.log4j.taglib.Log4jTaglibLogger getLogger()
                                                                         throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setLogger

    public final void setLogger(Object logger)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.